# $Revision: 1.10.2.4 $, $Date: 2003/11/27 14:22:40 $
Summary:	TCL/TK graphical frontend to monitor and manage a PVM cluster
Summary(pl):	Graficzny frontend TCL/TK do monitorowania i zarzdzania klastrem PVM
Name:		xpvm
Version:	1.2.5
Release:	5
License:	Free
Group:		X11/Development/Tools
Source0:	http://www.netlib.org/pvm3/xpvm/XPVM.src.%{version}.tgz
# Source0-md5:	7b20143cb2ff61e3cb28baf8f9cb2770
Patch0:		%{name}.patch
Patch1:		%{name}-help-path.patch
Patch2:		%{name}-noenv.patch
BuildRequires:	pvm-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	tk-devel
BuildRequires:	tcl-devel
BuildRequires:	XFree86-devel
Requires:	pvm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pvm-gui

%define		_prefix		/usr/X11R6
%define 	_xpvm_root	%{_prefix}/share/xpvm
%define 	_xbindir	%{_prefix}/bin

%description
Xpvm is a TCL/TK based tool that allows full manageability of the PVM
cluster as well as the ability to monitor cluster performance.

%description -l pl
Xpvm to bazujce na TCL/TK narzdzie pozwalajce zarzdza klastrem
PVM, a take monitorowa jego wydajno.

%prep
%setup -q -n xpvm
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
XPCFLOPTS="%{rpmcflags} -DXPVMROOT=\\\"%{_xpvm_root}\\\""

XPVM_ROOT=`pwd` %{__make} CFLOPTS="$XPCFLOPTS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_xpvm_root} $RPM_BUILD_ROOT%{_xbindir}

%ifarch alpha
install src/LINUXALPHA/xpvm $RPM_BUILD_ROOT%{_xbindir}
%endif
%ifarch ppc
install src/LINUXPPC/xpvm $RPM_BUILD_ROOT%{_xbindir}
%endif
%ifarch sparc sparc64 sparcv9
install src/LINUXSPARC/xpvm $RPM_BUILD_ROOT%{_xbindir}
%endif
%ifnarch alpha ppc sparc sparc64 sparcv9
install src/LINUX/xpvm $RPM_BUILD_ROOT%{_xbindir}
%endif
install *.tcl $RPM_BUILD_ROOT%{_xpvm_root}
sed -e "s!@XPVMROOT@!%{_xpvm_root}!" xpvm.tcl >$RPM_BUILD_ROOT%{_xpvm_root}/xpvm.tcl
cp -rf src/xbm $RPM_BUILD_ROOT%{_xpvm_root}
cp -rf src/help $RPM_BUILD_ROOT%{_xpvm_root}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/xpvm
%{_xpvm_root}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpvm.spec,v $
Revision 1.10.2.4  2003/11/27 14:22:40  ankry
- build fix for sparc

Revision 1.10.2.3  2003/11/27 10:15:07  ankry
- fixed build on alpha

Revision 1.10.2.2  2003/11/27 09:33:46  ankry
- md5, rel.5 to rebuild with new tcl

Revision 1.10.2.1  2003/07/11 12:04:59  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.10  2002/06/11 19:39:26  kloczek
- release 4.

Revision 1.9  2002/06/09 10:19:14  mmazur
- fixed building on ppc

Revision 1.8  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/21 15:18:07  qboosh
- pl translation, better Group; release 3

Revision 1.4  2001/07/15 10:01:57  kloczek
- cosmetics.

Revision 1.3  2001/04/14 22:44:09  qboosh
- spec adapterized, use %%rpmcflags
- release 2

Revision 1.2  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.1  2000/12/26 21:05:41  qboosh
- separated from pvm package
- setting PVM_ROOT and XPVM_ROOT no longer needed
